<dx-data-grid class="gridContainer box-shadow" #gridUnit [dataSource]='dsUnit' [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
    [showRowLines]='ui.showRowLines' (onToolbarPreparing)="toolbarPreparing($event, 'first')" (onCellPrepared)='onCellPrepared($event)'
    (onCellClick)='onCellClick($event)' [height]='ui.fullHeight'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='units'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>
    <dxo-master-detail [enabled]='true' template='details'></dxo-master-detail>

    <dxi-column caption='Denumire' dataField='p_name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='CIF' dataField='p_cif' dataType='string' [allowHeaderFiltering]='false' [width]='100'></dxi-column>
    <dxi-column caption='Tip unitate' dataField='p_typeId' dataType='number' [width]='120'>
        <dxo-lookup [dataSource]='ds.unitType' valueExpr='id' displayExpr='value'></dxo-lookup>
    </dxi-column>
    <dxi-column caption='Județ' dataField='co_name' dataType='string' [allowHeaderFiltering]='false' [width]='120'></dxi-column>
    <dxi-column caption='Localitate' dataField='loc_name' dataType='string' [allowHeaderFiltering]='false' [width]='150'></dxi-column>
    <dxi-column caption='Adresa' dataField='p_address' dataType='string' [allowHeaderFiltering]='false' [width]='200'></dxi-column>
    <dxi-column caption='Unitate părinte' dataField='parent_name' dataType='string'  [width]='150'></dxi-column>
    <dxi-column caption='Activ' dataField='p_isActiv' dataType='boolean' [width]='100'></dxi-column>
    <dxi-column caption='Responsabil de deșeuri' dataField='p_wasteResponsible' dataType='string'
        [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Responsabil de mediu' dataField='p_environmentResponsible' dataType='string'
        [allowHeaderFiltering]='false'></dxi-column>

    <dxi-column type="buttons" fixedPosition='left' width='70' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditUnitsClick"></dxi-button>
    </dxi-column>

    <div *dxTemplate="let pw of 'details'">
        <dx-data-grid #gridPartyWaste [height]='300' [columnAutoWidth]='true' [allowColumnResizing]='true'
            [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled' [showColumnLines]='ui.showColumnLines'
            [showRowLines]='ui.showRowLines' (onToolbarPreparing)="toolbarPreparing($event, 'sec', pw.data)"
            (onContentReady)='onContentReady($event, pw.data)'>
            <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
            <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='false'></dxo-scrolling>
            <dxo-search-panel [visible]='true'></dxo-search-panel>

            <dxi-column caption='Cod deșeu' dataField='wt_code' dataType='string'> </dxi-column>
            <dxi-column caption='Tip stocare' dataField='wtp_storageTypeId' dataType='string'>
                <dxo-lookup [dataSource]='dsStorageType' valueExpr='id' [displayExpr]='ds.enumDisplay'></dxo-lookup>
            </dxi-column>
            <dxi-column caption='Activ' dataField='wtp_isActiv' dataType='boolean'></dxi-column>
            <dxi-column type="buttons" fixedPosition='right' width='70' [fixed]='true' [allowResizing]='false'
                [showInColumnChooser]='false'>
                <dxi-button hint='Editează' icon="edit" [onClick]="onEditUnitDetailsClick"></dxi-button>
            </dxi-column>
        </dx-data-grid>
    </div>
</dx-data-grid>

<!-- Edit Unit -->
<dx-popup width='auto' [minWidth]='ui.minWidthPopup' maxWidth='90vw' (onShown)='ui.onPopupShown($event)'
    (onHidden)='ui.onPopupHidden($event)' height='auto' [title]='edit.model.id ? "Editează organizația" : "Adaugă organizație"'
    (onInitialized)='edit.popupInit($event)'>
    <div *dxTemplate="let data of 'content'">
        <dx-scroll-view [height]='ui.scrollHeight' width="auto" direction="both">
            <app-edit-unit></app-edit-unit>
        </dx-scroll-view>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
        [options]="{ text:'Salvează și adaugă', icon:'assets/img/grid_add.svg', type: 'normal', onClick: edit.onSaveNew, validationGroup: edit.validation }">
    </dxi-toolbar-item>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton" 
        [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: edit.onSave, validationGroup: edit.validation }">
    </dxi-toolbar-item>
</dx-popup>
